%define buildfor_mdk82  %(awk '{print ($4 <= "8.2")}' %{_sysconfdir}/mandrake-release)
%define buildfor_mdk90  %(awk '{print ($4 == "9.0")}' %{_sysconfdir}/mandrake-release)
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

%define snapshot	20030710
%define rel		4
%define lib_name_orig	libavifile
%define major_version	0.7
%if %buildfor_mdk82 || %buildfor_mdk90
%define lib_name	%{lib_name_orig}%{major_version}
%define libnamecodec	libaviplayavcodec%major_version
%else
%define lib_name	%mklibname %name %{major_version}
%define libnamecodec	%mklibname aviplayavcodec %major_version
%endif


%if %build_plf
%define release	%{rel}plf
%else
%define	release	%{rel}mdk
%endif

Name:		avifile
Version:	0.7.38
Release:	%{release}
Summary:	AVI files read/write library
Source0:	%{name}-%{major_version}-%{version}.tar.bz2
URL:		http://avifile.sourceforge.net
License:	GPL
Group:		System/Libraries
BuildRequires:	qt3-devel
BuildRequires:	SDL-devel >= 1.2.4
BuildRequires:	XFree86-devel
BuildRequires:	esound-devel
BuildRequires:	libalsa-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmad-devel
BuildRequires:	liba52dec-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)Compression is performed with various plugins (FFMpeg,vorbis,...)
For additional plugins packages, you can try Penguin Liberation Front
site at http://plf.zarb.org

%package player
Summary:	Video player for AVI/ASF/WMF files
Group:		Video
Requires:	%{lib_name} = %{version}-%{release}

%description player
Player for various AVI, ASF, WFM (with streaming support) files.

%package samples
Summary:	Sample programs using the avifile library
Group:		Video
Requires:	%{lib_name} = %{version}-%{release}

%description samples
Sample programs using the avifile library Qt-based AVI utilities with
few other useful supporting tools for TV capturing, AVI recompression,
benchmarking, joining AVI files.
These programs have more bugs as they are not as extensively developed 
as player.

%package -n %{lib_name}
Summary:	AVI files read/write library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)Compression is performed with various plugins (FFMpeg,vorbis,...)
For additional plugins packages, you can try Penguin Liberation Front
site at http://plf.zarb.org

%package -n %{lib_name}-devel
Summary:	Development header files for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{libnamecodec} = %{version}
Provides:	%{lib_name_orig}-devel

%description -n %{lib_name}-devel
This package contains the symlinks, headers and object files needed to compile
and link programs which use aviplay library.

%package -n %libnamecodec
Summary:	AVI files codec library from FFMPEG
Group:		System/Libraries
%if %build_plf
BuildRequires: libfaad2_0-devel
Requires:	libfaad2_0
%endif

%description -n %{libnamecodec}
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)Compression is performed with various plugins (FFMpeg,vorbis,...)
For additional plugins packages, you can try Penguin Liberation Front
site at http://plf.zarb.org
%if %build_plf

This PLF build has additional support for AAC decoding with libfaad, which
is covered by software patents.
%endif


%if %build_plf
%package win32
Summary:	Win32 plugin for %{name}
Group:		Video
Requires:	%{lib_name} = %{version}
Requires:	win32-codecs >= 1.2 
ExclusiveArch:	%ix86
Provides:	avifile-plugins-win32
Obsoletes:	avifile-plugins-win32

%description win32
This package contains the win32 plugin for %{name}.
It is in PLF because it is covered by software patents.


%package divx4
Summary:	Divx4 plugin for %{name}
Group:		Video
Requires:	%{lib_name} = %{version}
BuildRequires:	libdivx4linux-devel
ExclusiveArch:	%ix86 athlon
Provides:	avifile-plugins-divx4
Obsoletes:	avifile-plugins-divx4


%description divx4
This package contains the divx4 plugin for %{name}.
It is in PLF because it is covered by software patents.

%package lame
Summary:	Lame plugin for %{name}
Group:		Video
Requires:	%{lib_name} = %{version}
Requires:	libmp3lame0
BuildRequires:	libmp3lame0-devel
Provides:	avifile-plugins-lame
Obsoletes:	avifile-plugins-lame

%description lame
This package contains the lame plugin for %{name}.
It is in PLF because it is covered by software patents.

%package xvid
Summary:	Xvid plugin for %{name}
Group:		Video
Requires:	%{lib_name} = %{version}
BuildRequires:	xvid-devel
Provides: avifile-plugins-xvid
Obsoletes: avifile-plugins-xvid

%description xvid
This package contains the xvid plugin for %{name}.
It is in PLF because it is covered by software patents.
%endif


%prep
%setup -q -n %name-%{major_version}-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir
%make CFLAGS="%optflags" CXXFLAGS="%optflags"


%install
rm -rf %buildroot
%makeinstall_std transform=""

# icons

# menu entries
mkdir -p %{buildroot}%{_libdir}/menu
cat >%{buildroot}%{_menudir}/%{name}-player <<EOF
?package(%{name}-player): \
	command="%{_bindir}/aviplay"\
    needs="X11" \
	section="Multimedia/Video"\
    icon="video_section.png" \
    title="AviPlay" \
	mimetypes="video/msvideo,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo" \
    longtitle="Video player for AVI/ASF/WMF files"
EOF
cat >%{buildroot}%{_menudir}/%{name}-samples <<EOF
?package(%{name}-samples): \
	command="%{_bindir}/avirecompress"\\
    needs="X11" \\
	section="Multimedia/Video"\\
    icon="video_section.png" \\
    title="AviRecompress" \\
    longtitle="Simple editor and recompressor for AVI files"
?package(%{name}-samples): \
	command="%{_bindir}/avicap"\\
    needs="X11" \
	section="Multimedia/Video"\\
    icon="video_section.png" \\
    title="AviCap" \\
    longtitle="Video grabber for AVI files"
EOF

#clean unpackaged files
rm -f %buildroot%_bindir/mmxnow-config
rm -f %buildroot%_libdir/libmmxnow*
rm -f %buildroot%_datadir/%{name}-%{major_version}/COPYING
rm -f %buildroot%_datadir/%{name}-%{major_version}/ChangeLog
rm -f %buildroot%_datadir/%{name}-%{major_version}/INSTALL
rm -f %buildroot%_datadir/%{name}-%{major_version}/README
rm -rf %buildroot%_datadir/%{name}-%{major_version}/doc
%if !%build_plf
rm -f %buildroot%{_libdir}/%{name}-%{major_version}/mp3lame*
rm -f %buildroot%{_libdir}/%{name}-%{major_version}/win32*
rm -f %buildroot%{_libdir}/%{name}-%{major_version}/divx4*
rm -f %buildroot%{_libdir}/%{name}-%{major_version}/xvid*
%endif

%clean
rm -rf %{buildroot}

%post player
%{update_menus}

%postun player
%{clean_menus}

%post samples
%{update_menus}

%postun samples
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig
%post -n %{libnamecodec} -p /sbin/ldconfig
%postun -n %{libnamecodec} -p /sbin/ldconfig


%files player
%defattr(-,root,root)
%doc ChangeLog COPYING README doc/CREDITS doc/FreeBSD doc/LICENSING
%doc doc/TODO doc/WARNINGS doc/EXCEPTIONS doc/KNOWN_BUGS doc/README-DEVEL
%doc doc/VIDEO-PERFORMANCE

%{_bindir}/aviplay
%{_mandir}/man1/aviplay.1.*
%dir %{_datadir}/%{name}-%{major_version}
%_datadir/avifile-0.7/action.cfg
%_datadir/avifile-0.7/pixmaps/
%{_menudir}/%{name}-player

%files samples
%defattr(-,root,root)
%doc samples/README
%doc doc/avicap/*.html
%{_bindir}/avibench
%{_bindir}/avicap
%{_bindir}/avicat
%{_bindir}/avimake
%{_bindir}/avirec
%{_bindir}/avirecompress
%{_bindir}/avitype
%attr(4755,root,root) %{_bindir}/kv4lsetup
%{_menudir}/%{name}-samples
%_mandir/man1/avibench.1.bz2
%_mandir/man1/avicap.1.bz2
%_mandir/man1/avicat.1.bz2
%_mandir/man1/avimake.1.bz2
%_mandir/man1/avirec.1.bz2
%_mandir/man1/avirecompress.1.bz2
%_mandir/man1/avitype.1.bz2
%_mandir/man1/kv4lsetup.1.bz2
%dir %_datadir/%{name}-%{major_version}/
%dir %_datadir/%{name}-%{major_version}/i18/
%lang(de) %_datadir/%{name}-%{major_version}/i18/avicap_de.qm
%_datadir/%name-%major_version/scripts/

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libaviplay-%{major_version}.so.*
%{_libdir}/libqavm-%{major_version}.so.*
%{_libdir}/libaviplayavformat-%{major_version}.so.*
%{_libdir}/libaviplaydha-%{major_version}.so.*
%{_libdir}/libaviplayvidix-%{major_version}.so.*
%dir %{_libdir}/%{name}-%{major_version}
%{_libdir}/%{name}-%{major_version}/ac3pass.*
%{_libdir}/%{name}-%{major_version}/audiodec.*
%{_libdir}/%{name}-%{major_version}/ffmpeg.*
%{_libdir}/%{name}-%{major_version}/mad_audiodec.*
%{_libdir}/%{name}-%{major_version}/mjpeg.*
%{_libdir}/%{name}-%{major_version}/mpeg_audiodec.*
%{_libdir}/%{name}-%{major_version}/vorbis_audio.*
%{_libdir}/%{name}-%{major_version}/vidix

%files -n %libnamecodec
%defattr(-,root,root)
%{_libdir}/libaviplayavcodec-%{major_version}.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_bindir}/avifile-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%_libdir/pkgconfig/avifile.pc
%_datadir/aclocal/avifile.m4
%_mandir/man1/avifile-config.1.bz2

%if %build_plf
%files win32
%defattr(-, root, root)
%{_libdir}/%{name}-%{major_version}/win32*

%files divx4
%defattr(-, root, root)
%{_libdir}/%{name}-%{major_version}/divx4*

%files lame
%defattr(-, root, root)
%{_libdir}/%{name}-%{major_version}/mp3lame_audioenc*
%{_libdir}/%{name}-%{major_version}/mp3lamebin_audioenc*

%files xvid
%defattr(-, root, root)
%{_libdir}/%{name}-%{major_version}/xvid*
%endif

%changelog
* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.38-4mdk
- update descriptions
- fix buildrequires

* Fri Aug 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.38-3mdk
- fix package description

* Tue Aug  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.38-2mdk
- move some data files to the samples package

* Fri Jul 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.38-1mdk
- fix directories
- regenerate makefiles with autogen.sh
- new version

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.37-4mdk
- rebuild for new rpm

* Tue May 27 2003 David BAUDENS <baudens@mandrakesoft.com> 0.7.37-3mdk
- Fix icons in menu entries

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.37-2mdk
- fix distriblint error

* Thu May 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.37-1mdk
- split out libaviplayavcodec to extra package to make faad in plf possible
- fix conditional plf build
- add missing files
- fix doc file list
- new version

* Thu May 08 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.34-2plf
- rebuild for missing .so files

* Thu Mar 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.34-1mdk
- new version

* Thu Mar 20 2003 Gtz Waschk <goetz@plf.zarb.org> 0.7.34-1plf
- add the missing files
- drop merged patch
- new version

* Fri Feb 21 2003 Gtz Waschk <goetz@plf.zarb.org> 0.7.32-2plf
- small patch to make it compile on Mandrake 9.0

* Fri Feb 21 2003 Gtz Waschk <goetz@plf.zarb.org> 0.7.32-1plf
- add the new files (pkgconfig, man pages)
- enable parallel build
- new version, this time only on plf

* Thu Feb  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.29-1mdk
- also disable parallel build
- don't use autogen nor %%configure*, it's all broken without automake1.6
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.27-1mdk
- always use autogen and the configure2_5x macro
- new version

* Wed Jan 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.26-1mdk
- use mklibname on Cooker
- clean plf files in non-plf build (this is for Charles A Edwards)
- fix build
- new version

* Wed Jan 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.25-1mdk
- new version

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.22-2plf
- rebuild

* Mon Dec  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.22-1mdk
- builds again without autogen.sh call
- win32 plugin requires newer win32-codecs
- new version

* Fri Nov 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.21-1mdk
- plf win32 plugin requires latest win32-codecs
- fix build by calling autogen.sh
- new version

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.18-2mdk
- clean unpackaged files from buildroot
- include missing files

* Thu Nov  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.18-1mdk
- disable parallel build
- new version

* Fri Nov  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.17-0.20021101.1plf
- update to an unofficial CVS snapshot
- drop patch

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.16-1mdk
- add the vidix drivers
- the man page gets installed by make install
- patch for missing typecast
- new snapshot

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.15-2mdk
- add mime type to the menu

* Mon Aug 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.15-1mdk
- new version

* Thu Aug 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.14-3mdk
- gcc 3.2-0.3mdk build
- remove the -mno-omit-leaf-frame-pointer option, it didn't help :-(

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.14-2mdk
- add -mno-omit-leaf-frame-pointer to CFLAGS to fix win32 codecs, untested

* Fri Aug  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.14-1mdk
- new version
- drop patch

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.13-2mdk
- rebuild for new g++-3.2

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.13-1mdk
- 0.7.13
- simplify release naming scheme
- rename plf packages

* Wed Jul 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.12-0.20020719.3mdk
- merge with plf package, use --with-plf to enable 
- remove obsolete configure options

* Mon Jul 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.12-0.20020719.2mdk
- new libvorbis

* Sun Jul 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.12-0.20020719.1mdk
- list all doc files to make %%install short-circuit compatible
- fix installation
- new version
- patch from Gwenole Beauchesne to make it compile

* Fri Jun 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-0.20020627.1mdk
- new snapshot
- autoconf 2.5 macro

* Wed Jun 14 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.7-0.20020614.1mdk
- updated snapshot

* Sat Jun 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.7-0.20020608.1mdk
- updated snapshot

* Tue May 28 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.7-0.20020528.1mdk
- 0.7.7-20020528

* Mon May 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.7-0.20020523.1mdk
- 0.7.7

* Wed May 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.6-0.20020503.1mdk
- 0.7.6

* Thu May  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-0.20020503.2mdk
- rebuild to fix missing binary packages

* Wed May 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.5-0.20020503.1mdk
- 0.7.5-20020503
- build with gcc3.1
- re-enabled mdk optimisations

* Tue Apr 30 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.4-0.20020429.1mdk
- 0.7.4-20020429
- liba52 plugin

* Mon Apr 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.7.3-0.20020424.2mdk
- rebuild for new alsa
- BuildRequires

* Thu Apr 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-0.20020424.1mdk
- 0.7.3-20020424
- enabled all C++ opt flags except -fomit-frame-pointer (should work now)
- fixed changelog

* Tue Apr 23 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-0.20020419.2mdk
- buildrequires libqt3-devel
- buildrequries libSDL1.2-devel >= 1.2.4
- disabled C++ opt flags

* Mon Apr 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-0.20020419.1mdk
- 0.7.3-20020419

* Wed Apr 17 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.0-0.20020417.2mdk
- removed CVS files
- fixed perms

* Wed Apr 17 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.0-0.20020417.1mdk
- 0.7.0-20020417
- used qt3

* Mon Apr 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.0-0.20020412.1mdk
- 0.7.0-20020412
- patch merged upstream

* Wed Apr 10 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.0-0.20020405.2mdk
- removed conflicting useless library

* Tue Apr 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.0-0.20020405.1mdk
- 0.7.0-20020405
- updated PLF URL in descriptions

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.0-0.20011223.2mdk
- xpm -> png icons
- since all icons are the same, share avicap ones with AviRecompress
- fix sources permissions

* Sun Dec 23 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.0-0.20011223.1mdk
- updated CVS snapshot

* Thu Dec 13 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011207.2mdk
- updated description for additional plugins
- removed useless files from doc

* Tue Dec 11 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011207.1mdk
- updated CVS snapshot
- updated descriptions and summaries
- updated menus
- new packaging policy: main package in contribs, plugins in PLF

* Wed Dec 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011205.1mdk
- updated CVS snapshot

* Mon Dec 03 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011130.1mdk
- updated CVS snapshot
- buildrequires libogg0-devel, libvorbis0-devel and libmad0-devel (Gtz Waschk <waschk@linux-mandrake.com>)
- %{lib_name} requires win32-codecs

* Thu Nov 29 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011127.2mdk
- requires win32-codecs and opendivx
- updated description
- added missing changelog entry
- harmonized buildrequires

* Tue Nov 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011127.1mdk
- updated CVS snapshot
- stricter requires
- removed static libs

* Mon Nov 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011123.1mdk
- updated CVS snapshot

* Fri Nov 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011116.1mdk
- updated CVS snapshot

* Mon Oct 29 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011026.1mdk
- updated CVS snapshot
- dropped patch
- used %%configure macro
- moved %{_libdir}/*.la files in devel package (Gtz Waschk <waschk@linux-mandrake.com>)

* Tue Oct 23 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-0.20011015.2mdk
- shut up, tar
- patched libmp3lamebin to load libmp3lame.so.0 instead of libmp3lame.so

* Mon Oct 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011015.1mdk
- updated CVS snapshot
- build against new libpng

* Fri Oct 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011003.2mdk
- used correct build optimisations
- use path for configure script

* Wed Oct 03 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011003.1mdk
- updated CVS snapshot
- updated description
- corrected version
- used debian package menus
- player man page

* Thu Aug 02 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20010802.1mdk
- updated CVS snapshot
- added missing .la files
- reverted win32 DLL location to standard %{_libdir}/win32
- updated description accordingly
- player and samples requires library

* Tue Jul 31 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20010731.1mdk
- updated to 0.6.0 CVS
- new subpackage scheme
- spec cleanup
- s/Copyright/License
- buildrequire alsa-lib-devel and libesound-devel
- truncated descriptions to 72 columns
- updated URL as divx.euro.ru is down

* Sat May 19 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.5-4mdk
- removed explicit requires tags
- unversionned SDL-devel buildrequires tag
- rebuild against new SDL libraries

* Tue May 01 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.5-3mdk
- fixed compilation for latest gcc

* Fri Apr 13 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.5-2mdk
- added buildrequires libqt2-devel and libSDL1.1-devel
- removed optimisation to fix compilation failure

* Sun Mar 18 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.5-1mdk
- updated to 0.53.5

* Wed Jan 24 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-6mdk
- corrected bad prefix in avifile-config

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-5mdk
- added correct optimization flags
- added samples in a distinct package
- removed CVS files from doc
- changed license to GPL

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-4mdk
- changed player package name (again !) to avifile

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-3mdk
- changed library package name to libavifile0

* Mon Jan 22 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-2mdk
- changed player package name to avifile-player
- changed library package name to libavifile

* Sun Jan 21 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-1mdk
- updated to 0.53.3
- included doc
- included ressource
- corrected silly submenus issue
- removed explicit path to qt includes

* Sat Dec 16 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.51-1mdk
- first mandrake release


